org.springframework.jms.connection

## Interface SmartConnectionFactory

All Superinterfaces:
  ConnectionFactory

All Known Implementing Classes:
  DelegatingConnectionFactory

    public interface SmartConnectionFactory
    extends ConnectionFactory

Extension of the `javax.jms.ConnectionFactory` interface, indicating how to release Connections obtained from it.

Since:
  2.0.2
Author:
  Juergen Hoeller

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `shouldStop(Connection con)` Should we stop the Connection, obtained from this ConnectionFactory?

### Methods inherited from interface javax.jms.ConnectionFactory

`createConnection, createConnection, createContext, createContext, createContext, createContext`

### Method Detail

#### shouldStop

    boolean shouldStop(Connection con)

Should we stop the Connection, obtained from this ConnectionFactory?

Parameters:
  `con` - the Connection to check
Returns:
  whether a stop call is necessary
See Also:
  `Connection.stop()`